E-MailRelay

Public Member Functions | List of all members
GAuth::SaslServerBasicImp Class Reference

A private pimple-pattern implementation class used by GAuth::SaslServerBasic. More...

## Public Member Functions
| SaslServerBasicImp (const SaslServerSecrets &, const std::string &, bool)
std::string | mechanisms (const std::string &) const
bool | init (const std::string &mechanism)
std::string | mechanism () const
std::string | initialChallenge () const
std::string | apply (const std::string &response, bool &done)
bool | trusted (const GNet::Address &) const
bool | trustedCore (const std::string &, const GNet::Address &) const
bool | active () const
std::string | id () const
bool | authenticated () const

## Detailed Description

A private pimple-pattern implementation class used by GAuth::SaslServerBasic.

Definition at line 40 of file gsaslserverbasic.cpp.

## Constructor & Destructor Documentation

## ◆ SaslServerBasicImp()

GAuth::SaslServerBasicImp::SaslServerBasicImp | ( | const SaslServerSecrets & | secrets,
|  | const std::string & | sasl_server_config,
|  | bool | allow_apop
| ) |  |

Definition at line 74 of file gsaslserverbasic.cpp.

## Member Function Documentation

## ◆ active()

bool GAuth::SaslServerBasicImp::active | ( |  | ) | const

Definition at line 285 of file gsaslserverbasic.cpp.

## ◆ apply()

std::string GAuth::SaslServerBasicImp::apply | ( | const std::string & | response,
|  | bool & | done
| ) |  |

Definition at line 151 of file gsaslserverbasic.cpp.

## ◆ authenticated()

bool GAuth::SaslServerBasicImp::authenticated | ( |  | ) | const

Definition at line 300 of file gsaslserverbasic.cpp.

## ◆ id()

std::string GAuth::SaslServerBasicImp::id | ( |  | ) | const

Definition at line 295 of file gsaslserverbasic.cpp.

## ◆ init()

bool GAuth::SaslServerBasicImp::init | ( | const std::string & | mechanism | ) |

Definition at line 104 of file gsaslserverbasic.cpp.

## ◆ initialChallenge()

std::string GAuth::SaslServerBasicImp::initialChallenge | ( |  | ) | const

Definition at line 138 of file gsaslserverbasic.cpp.

## ◆ mechanism()

std::string GAuth::SaslServerBasicImp::mechanism | ( |  | ) | const

Definition at line 290 of file gsaslserverbasic.cpp.

## ◆ mechanisms()

std::string GAuth::SaslServerBasicImp::mechanisms | ( | const std::string & | sep | ) | const

Definition at line 99 of file gsaslserverbasic.cpp.

## ◆ trusted()

bool GAuth::SaslServerBasicImp::trusted | ( | const GNet::Address & | address | ) | const

Definition at line 259 of file gsaslserverbasic.cpp.

## ◆ trustedCore()

bool GAuth::SaslServerBasicImp::trustedCore | ( | const std::string & | address_wildcard,
|  | const GNet::Address & | address
| ) |  | const

Definition at line 267 of file gsaslserverbasic.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gsaslserverbasic.cpp